<?php
namespace Claromentis\Infocapture\ExpressionLanguage;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array();
interface Visitor
{
    
    
    
    
    
    public function Begin(array $nodes) : void;
    public function Enter(Nodes\Node $node) : void;
    public function Exit(Nodes\Node $node) : void;
    
    
    
    
    
    public function End(array $nodes) : void;
    
    
    
    
    public function GetReturnValue();
}